%{
#include "syntax_tree.h"
%}

DIGIT 		[0-9]
INTEGER		{DIGIT}+
REAL			{INTEGER}("."{INTEGER})?
LETTER		[A-Za-z]
VARIABLE		{LETTER}({LETTER}|{DIGIT})*

%%
{REAL}    { yylval.name=QString(yytext);  return(tk_real);}
[-+*/()]  { yylval.name=QString(yytext); return *yytext;}
"sin"     { yylval.name="sin" ;  return(tk_function); }
"cos"     { yylval.name="cos" ;  return(tk_function);}
{VARIABLE} {yylval.name=QString(yytext); return(tk_variable);}
%%

int yywrap(void) {return 1 ;}
